Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#632 closed enhancement (fixed)

Not in smartctl database SAMSUNG-MZ7LN512HCHP

Reported by: Tomas Krojzl Owned by:
Priority: minor Milestone: Release 6.5
Component: drivedb Version: 6.4
Keywords: Cc:

Description

My disk is not in smartctl database.

Disk Vendor: SAMSUNG
Disk Model: MZ7LN512HCHP
Details: http://www.samsung.com/semiconductor/products/flash-storage/client-ssd/MZ7LN512HCHP

# cat smartctl-SAMSUNG-MZ7LN512HCHP.txt
smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.10.0-327.3.1.el7.x86_64] (local build)
Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Device Model:     SAMSUNG MZ7LN512HCHP-000L1
Serial Number:    S1ZKNXAG835007
LU WWN Device Id: 5 002538 d00000000
Firmware Version: EMT04L0Q
User Capacity:    512,110,190,592 bytes [512 GB]
Sector Size:      512 bytes logical/physical
Rotation Rate:    Solid State Device
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   ACS-2, ATA8-ACS T13/1699-D revision 4c
SATA Version is:  SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Wed Jan 13 20:50:46 2016 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM feature is:   Unavailable
APM feature is:   Unavailable
Rd look-ahead is: Enabled
Write cache is:   Enabled
ATA Security is:  Disabled, frozen [SEC2]
Wt Cache Reorder: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x80)	Offline data collection activity
					was never started.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever 
					been run.
Total time to complete Offline 
data collection: 		(    0) seconds.
Offline data collection
capabilities: 			 (0x53) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					No Offline surface scan supported.
					Self-test supported.
					No Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine 
recommended polling time: 	 (   2) minutes.
Extended self-test routine
recommended polling time: 	 ( 265) minutes.
SCT capabilities: 	       (0x003d)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 1
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  5 Reallocated_Sector_Ct   PO--CK   100   100   010    -    0
  9 Power_On_Hours          -O--CK   099   099   000    -    139
 12 Power_Cycle_Count       -O--CK   099   099   000    -    40
170 Unknown_Attribute       -O--CK   100   100   010    -    0
171 Unknown_Attribute       -O--CK   100   100   010    -    0
172 Unknown_Attribute       -O--CK   100   100   010    -    0
173 Unknown_Attribute       PO--CK   099   099   005    -    2
174 Unknown_Attribute       -O--CK   099   099   000    -    9
178 Used_Rsvd_Blk_Cnt_Chip  PO--C-   100   100   010    -    0
180 Unused_Rsvd_Blk_Cnt_Tot PO--C-   100   100   010    -    1567
184 End-to-End_Error        PO--CK   100   100   097    -    0
187 Reported_Uncorrect      -O--CK   100   100   000    -    0
194 Temperature_Celsius     -O--CK   057   048   000    -    43
199 UDMA_CRC_Error_Count    -OSRCK   100   100   000    -    0
233 Media_Wearout_Indicator PO--C-   099   099   000    -    16760437
241 Total_LBAs_Written      -O--CK   099   099   000    -    638
242 Total_LBAs_Read         -O--CK   099   099   000    -    402
249 Unknown_Attribute       -O--CK   099   099   000    -    1024
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning

General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      1  Comprehensive SMART error log
0x03       GPL     R/O      1  Ext. Comprehensive SMART error log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x09           SL  R/W      1  Selective self-test log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters
0x13       GPL     R/O      1  SATA NCQ Send and Receive log
0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xdf       GPL,SL  VS       1  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

SMART Extended Comprehensive Error Log Version: 1 (1 sectors)
No Errors Logged

SMART Extended Self-test Log Version: 1 (1 sectors)
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Extended offline    Completed without error       00%       138         -
# 2  Short offline       Completed without error       00%       136         -

Warning! SMART Selective Self-Test Log Structure error: invalid SMART checksum.
SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
  255        0    65535  Read_scanning was never started
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version:                  3
SCT Version (vendor specific):       256 (0x0100)
SCT Support Level:                   1
Device State:                        Active (0)
Current Temperature:                    44 Celsius
Power Cycle Min/Max Temperature:     35/51 Celsius
Lifetime    Min/Max Temperature:      0/70 Celsius
Under/Over Temperature Limit Count:  4294967295/4294901760
SCT Temperature History Version:     3 (Unknown, should be 2)
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        10 minutes
Min/Max recommended Temperature:      0/70 Celsius
Min/Max Temperature Limit:            0/70 Celsius
Temperature History Size (Index):    128 (42)

Index    Estimated Time   Temperature Celsius
  43    2016-01-12 23:40    38  *******************
  44    2016-01-12 23:50    38  *******************
  45    2016-01-13 00:00    38  *******************
  46    2016-01-13 00:10    37  ******************
  47    2016-01-13 00:20    37  ******************
  48    2016-01-13 00:30    36  *****************
 ...    ..( 57 skipped).    ..  *****************
 106    2016-01-13 10:10    36  *****************
 107    2016-01-13 10:20    37  ******************
 ...    ..(  2 skipped).    ..  ******************
 110    2016-01-13 10:50    37  ******************
 111    2016-01-13 11:00    38  *******************
 ...    ..( 10 skipped).    ..  *******************
 122    2016-01-13 12:50    38  *******************
 123    2016-01-13 13:00    40  *********************
 124    2016-01-13 13:10    39  ********************
 125    2016-01-13 13:20    38  *******************
 126    2016-01-13 13:30    37  ******************
 127    2016-01-13 13:40    37  ******************
   0    2016-01-13 13:50    38  *******************
 ...    ..(  4 skipped).    ..  *******************
   5    2016-01-13 14:40    38  *******************
   6    2016-01-13 14:50    37  ******************
   7    2016-01-13 15:00    38  *******************
 ...    ..( 11 skipped).    ..  *******************
  19    2016-01-13 17:00    38  *******************
  20    2016-01-13 17:10    39  ********************
 ...    ..(  5 skipped).    ..  ********************
  26    2016-01-13 18:10    39  ********************
  27    2016-01-13 18:20    38  *******************
 ...    ..(  3 skipped).    ..  *******************
  31    2016-01-13 19:00    38  *******************
  32    2016-01-13 19:10    39  ********************
  33    2016-01-13 19:20    38  *******************
 ...    ..(  5 skipped).    ..  *******************
  39    2016-01-13 20:20    38  *******************
  40    2016-01-13 20:30    39  ********************
  41    2016-01-13 20:40    51  ********************************
  42    2016-01-13 20:50    44  *************************

SCT Error Recovery Control:
           Read: Disabled
          Write: Disabled

Device Statistics (GP Log 0x04) not supported

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  2            0  Command failed due to ICRC error
0x0002  2            0  R_ERR response for data FIS
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0005  2            0  R_ERR response for non-data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS
0x0008  2            0  Device-to-host non-data FIS retries
0x0009  2            4  Transition from drive PhyRdy to drive PhyNRdy
0x000a  2            4  Device-to-host register FISes sent due to a COMRESET
0x000b  2            0  CRC errors within host-to-device FIS
0x000d  2            0  Non-CRC errors within host-to-device FIS
0x000f  2            0  R_ERR response for host-to-device data FIS, CRC
0x0010  2            0  R_ERR response for host-to-device data FIS, non-CRC
0x0012  2            0  R_ERR response for host-to-device non-data FIS, CRC
0x0013  2            0  R_ERR response for host-to-device non-data FIS, non-CRC

Change History (6)

comment:1 Changed 4 years ago by Christian Franke

Component: alldrivedb
Milestone: Release 6.5
Priority: majorminor
Type: defectenhancement

comment:2 Changed 4 years ago by Alex Samorukov

Resolution: fixed
Status: newclosed

This should be already fixed in r4200, please test and reopen if not working.

comment:3 Changed 4 years ago by Tomas Krojzl

Resolution: fixed
Status: closedreopened

Since [r4200] is not yet in branch RELEASE_6_2_DRIVEDB it was not updated by my update-smart-drivedb automatically.

Therefore I made relevant updates manually to drivedb.h - see the result below..

Now the drive is detected - however there are still many "Unknown_Attribute" occurrences - not sure if these are having default meaning or SAMSUNG gave them specific meaning but maybe following might be used to determine the attribute meaning:

https://en.wikipedia.org/wiki/S.M.A.R.T.#Known_ATA_S.M.A.R.T._attributes

Also there seems to be issue with smartmontools retrieving self-test log structure:

"Warning! SMART Selective Self-Test Log Structure error: invalid SMART checksum."

You could observe identical behavior also in ticket #636 - so this is not issue with just one particular SSD.

Here is full output:

# smartctl -x /dev/sda
smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.10.0-327.3.1.el7.x86_64] (local build)
Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Model Family:     Samsung based SSDs
Device Model:     SAMSUNG MZ7LN512HCHP-000L1
Serial Number:    S1ZKNXAG835007
LU WWN Device Id: 5 002538 d00000000
Firmware Version: EMT04L0Q
User Capacity:    512,110,190,592 bytes [512 GB]
Sector Size:      512 bytes logical/physical
Rotation Rate:    Solid State Device
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   ACS-2, ATA8-ACS T13/1699-D revision 4c
SATA Version is:  SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Tue Jan 19 15:29:51 2016 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM feature is:   Unavailable
APM feature is:   Unavailable
Rd look-ahead is: Enabled
Write cache is:   Enabled
ATA Security is:  Disabled, frozen [SEC2]
Wt Cache Reorder: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x80)	Offline data collection activity
					was never started.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever 
					been run.
Total time to complete Offline 
data collection: 		(    0) seconds.
Offline data collection
capabilities: 			 (0x53) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					No Offline surface scan supported.
					Self-test supported.
					No Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine 
recommended polling time: 	 (   2) minutes.
Extended self-test routine
recommended polling time: 	 ( 265) minutes.
SCT capabilities: 	       (0x003d)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 1
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  5 Reallocated_Sector_Ct   PO--CK   100   100   010    -    0
  9 Power_On_Hours          -O--CK   099   099   000    -    197
 12 Power_Cycle_Count       -O--CK   099   099   000    -    51
170 Unknown_Attribute       -O--CK   100   100   010    -    0
171 Unknown_Attribute       -O--CK   100   100   010    -    0
172 Unknown_Attribute       -O--CK   100   100   010    -    0
173 Unknown_Attribute       PO--CK   099   099   005    -    2
174 Unknown_Attribute       -O--CK   099   099   000    -    9
178 Used_Rsvd_Blk_Cnt_Chip  PO--C-   100   100   010    -    0
180 Unused_Rsvd_Blk_Cnt_Tot PO--C-   100   100   010    -    1567
184 End-to-End_Error        PO--CK   100   100   097    -    0
187 Uncorrectable_Error_Cnt -O--CK   100   100   000    -    0
194 Temperature_Celsius     -O--CK   063   048   000    -    37
199 CRC_Error_Count         -OSRCK   100   100   000    -    0
233 Media_Wearout_Indicator PO--C-   099   099   000    -    16760437
241 Total_LBAs_Written      -O--CK   099   099   000    -    678
242 Total_LBAs_Read         -O--CK   099   099   000    -    449
249 Unknown_Attribute       -O--CK   099   099   000    -    1024
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning

General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      1  Comprehensive SMART error log
0x03       GPL     R/O      1  Ext. Comprehensive SMART error log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x09           SL  R/W      1  Selective self-test log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters
0x13       GPL     R/O      1  SATA NCQ Send and Receive log
0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xdf       GPL,SL  VS       1  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

SMART Extended Comprehensive Error Log Version: 1 (1 sectors)
No Errors Logged

SMART Extended Self-test Log Version: 1 (1 sectors)
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Short offline       Completed without error       00%       181         -
# 2  Short offline       Completed without error       00%       136         -

Warning! SMART Selective Self-Test Log Structure error: invalid SMART checksum.
SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
  255        0    65535  Read_scanning was never started
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version:                  3
SCT Version (vendor specific):       256 (0x0100)
SCT Support Level:                   1
Device State:                        Active (0)
Current Temperature:                    37 Celsius
Power Cycle Min/Max Temperature:     28/40 Celsius
Lifetime    Min/Max Temperature:      0/70 Celsius
Under/Over Temperature Limit Count:  4294967295/4294901760
SCT Temperature History Version:     3 (Unknown, should be 2)
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        10 minutes
Min/Max recommended Temperature:      0/70 Celsius
Min/Max Temperature Limit:            0/70 Celsius
Temperature History Size (Index):    128 (35)

Index    Estimated Time   Temperature Celsius
  36    2016-01-18 18:10     ?  -
 ...    ..( 90 skipped).    ..  -
 127    2016-01-19 09:20     ?  -
   0    2016-01-19 09:30    40  *********************
   1    2016-01-19 09:40    28  *********
   2    2016-01-19 09:50    32  *************
   3    2016-01-19 10:00    34  ***************
   4    2016-01-19 10:10    35  ****************
   5    2016-01-19 10:20    36  *****************
   6    2016-01-19 10:30    36  *****************
   7    2016-01-19 10:40    36  *****************
   8    2016-01-19 10:50    37  ******************
 ...    ..( 26 skipped).    ..  ******************
  35    2016-01-19 15:20    37  ******************

SCT Error Recovery Control:
           Read: Disabled
          Write: Disabled

Device Statistics (GP Log 0x04) not supported

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  2            0  Command failed due to ICRC error
0x0002  2            0  R_ERR response for data FIS
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0005  2            0  R_ERR response for non-data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS
0x0008  2            0  Device-to-host non-data FIS retries
0x0009  2            4  Transition from drive PhyRdy to drive PhyNRdy
0x000a  2            4  Device-to-host register FISes sent due to a COMRESET
0x000b  2            0  CRC errors within host-to-device FIS
0x000d  2            0  Non-CRC errors within host-to-device FIS
0x000f  2            0  R_ERR response for host-to-device data FIS, CRC
0x0010  2            0  R_ERR response for host-to-device data FIS, non-CRC
0x0012  2            0  R_ERR response for host-to-device non-data FIS, CRC
0x0013  2            0  R_ERR response for host-to-device non-data FIS, non-CRC
Last edited 4 years ago by Tomas Krojzl (previous) (diff)

comment:4 Changed 4 years ago by Alex Samorukov

Ok, thank you for reply.

  1. This change will be merged to other branches later, no worries.
  2. "Warning! SMART Selective Self-Test Log Structure error: invalid SMART checksum." is a firmware issue for such drives if no tests been running. After running selective tests this will work as intended, there is nothing to fix in smartmontools.
  3. Regarding "Unknown" attributes - different vendors using same attributes for the different purposes, so we cant just add some random values from the wiki. Sometime vendors publishing them in the documentation (did not found for this drives) or in the vendor software/tools. If you have such data for "Unknown" attributes or data from other trusted sources about this drive family - let us know, we will update this entry.
Last edited 4 years ago by Alex Samorukov (previous) (diff)

comment:5 Changed 4 years ago by Alex Samorukov

Resolution: fixed
Status: reopenedclosed

comment:6 Changed 4 years ago by Christian Franke

Merged in r4220.

Note: See TracTickets for help on using tickets.